Bug 1477556 (CVE-2017-12142) - CVE-2017-12142 ytnef: invalid memory read in SwapDWord function
Summary: CVE-2017-12142 ytnef: invalid memory read in SwapDWord function
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-12142
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1477560 1477561 1477562
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-02 11:43 UTC by Adam Mariš
Modified: 2019-09-29 14:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:19:51 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-08-02 11:43:37 UTC
In ytnef 1.9.2, an invalid memory read vulnerability was found in the
function SwapDWord in ytnef.c, which allows attackers to cause a denial
of service via a crafted file.

Upstream bug:

https://github.com/Yeraze/ytnef/issues/49

Comment 1 Adam Mariš 2017-08-02 11:49:10 UTC
Created libytnef tracking bugs for this issue:

Affects: epel-all [bug 1477561]
Affects: fedora-all [bug 1477562]


Created ytnef tracking bugs for this issue:

Affects: fedora-all [bug 1477560]

Comment 2 Product Security DevOps Team 2019-06-08 03:19:51 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.